/// <reference types="react" />
import PropTypes from 'prop-types';
import { Language, SyntaxProps } from './types';
export declare function expandRangeTuple(tuple: [number, number]): Array<number>;
export declare function normalizeLineHighlightingDefinition(numbers: Array<number | [number, number]>): Array<number>;
declare function Syntax({ children, language, darkMode, showLineNumbers, highlightLines, className, ...rest }: SyntaxProps): JSX.Element;
declare namespace Syntax {
    var displayName: string;
    var propTypes: {
        children: PropTypes.Validator<string>;
        language: PropTypes.Requireable<Language>;
        className: PropTypes.Requireable<string>;
        darkMode: PropTypes.Requireable<boolean>;
        showLineNumbers: PropTypes.Requireable<boolean>;
        highlightLines: PropTypes.Requireable<(number | (number | null | undefined)[] | null | undefined)[]>;
    };
}
export default Syntax;
//# sourceMappingURL=Syntax.d.ts.map